<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F8F8F8">

    <RelativeLayout
        android:id="@+id/id_rl_pay_title"
        android:layout_width="match_parent"
        android:layout_height="76dp"
        android:background="@color/white"
        android:paddingTop="30dp">

        <ImageView
            android:id="@+id/id_img_back"
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_alignParentBottom="true"
            android:paddingLeft="15dp"
            android:src="@drawable/icon_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/pay_title"
            android:textColor="@color/color_333333"
            android:textSize="18sp" />


    </RelativeLayout>


    <LinearLayout
        android:id="@+id/id_ll_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/id_rl_pay_title"
        android:orientation="vertical"
        android:paddingBottom="10dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_margin="10dp"
            android:background="@drawable/shape_pay_bg_6998ff_546fff"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/id_tv_wd_yue"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:includeFontPadding="false"
                android:text="@string/pay_coin_balance"
                android:textColor="#F8F8F8"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/id_tv_my_yu_e"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:drawableLeft="@drawable/icon_jinbi"
                android:drawablePadding="5dp"
                android:text="0"
                android:textColor="#FFFFFF"
                android:textSize="18sp"
                android:textStyle="bold" />
        </LinearLayout>
        <!--        本次购买所需金额-->
        <LinearLayout
            android:id="@+id/id_rl_buy_bg"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/shape_need_price_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="visible">

            <TextView
                android:id="@+id/id_tv_need"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:includeFontPadding="false"
                android:text="@string/pay_need_desc"
                android:textColor="@color/color_333333"
                android:textSize="14sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/id_tv_need_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:drawableLeft="@drawable/icon_jinbi"
                android:drawablePadding="5dp"
                android:text="0"
                android:textColor="@color/color_333333"
                android:textSize="18sp"
                android:textStyle="bold" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/id_activity_member_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:layout_marginRight="6dp" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_below="@+id/id_rl_pay_title"
        android:background="#D8D8D8" />

    <!--    支付方式-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/id_ll_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/shape_white_r5"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/id_rl_wechat_pay"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:visibility="gone">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="15dp"
                android:drawableLeft="@drawable/icon_weixin"
                android:drawablePadding="5dp"
                android:text="@string/pay_wechat"
                android:textColor="@color/color_333333"
                android:textSize="14sp" />

            <ImageView
                android:id="@+id/id_img_wechat"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="15dp"
                android:src="@drawable/icon_xuanzhong_default" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/id_rl_zfb_pay"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:visibility="gone">

            <TextView
                android:id="@+id/id_tv_zfb_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="15dp"
                android:drawableLeft="@drawable/zhifub"
                android:drawablePadding="5dp"
                android:text="@string/pay_zfb"
                android:textColor="@color/color_333333"
                android:textSize="14sp" />

            <ImageView
                android:id="@+id/id_img_ali"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="15dp"
                android:src="@drawable/icon_xuanzhong_default" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/id_rl_min_pay"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:visibility="gone">

            <TextView
                android:id="@+id/id_tv_zfb_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="15dp"
                android:drawableLeft="@drawable/zhifub"
                android:drawablePadding="5dp"
                android:textColor="@color/color_333333"
                android:textSize="14sp" />

            <ImageView
                android:id="@+id/id_img_min_choose"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="15dp"
                android:src="@drawable/icon_xuanzhong_default" />
        </RelativeLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/id_rcl_payment_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

    </LinearLayout>

    <!--    支付按钮-->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

        <LinearLayout
            android:id="@+id/id_ll_pay_bottom"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:background="@drawable/shape_pay_bg_4c84ff"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/pay_button"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="4dp"
                android:text="@string/box_detail_open_box_money_unit"
                android:textColor="@color/white"
                android:textSize="13sp"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/id_activity_member_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold"
                android:visibility="gone" />
        </LinearLayout>


        <LinearLayout
            android:id="@+id/id_ll_service"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_ll_pay_bottom"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:visibility="visible">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="充值即同意"
                android:textColor="#B4B4B4"
                android:textSize="12sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="《增值服务协议》"
                android:textColor="@color/color_333333"
                android:textSize="12sp" />
        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_ll_service"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="30dp"
            android:text="未成年人请在家长监督下使用"
            android:textColor="@color/color_333333"
            android:textSize="12sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="100dp"
            android:layout_marginRight="100dp"
            android:gravity="center_vertical"
            android:visibility="gone">

            <TextView
                android:id="@+id/id_activity_member_pri"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="隐私政策"
                android:textColor="#ff555555"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/id_activity_member_user"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="用户协议"
                android:textColor="#ff555555"
                android:textSize="12sp" />

        </LinearLayout>
    </RelativeLayout>

    <ImageView
        android:id="@+id/id_activity_member_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="6dp" />

    <WebView
        android:id="@+id/id_pay_web_view"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

</RelativeLayout>